## python-pampy 2.0.2

=== Makefile ===
VIRTUALENV = $(shell which virtualenv)
PYTHONEXEC = python

VERSION = `grep VERSION src/pam/version.py | cut -d \' -f2`

build: pydeps
	python -m build

clean:
	rm -rf *.egg-info/
	rm -rf .cache/
	rm -rf .tox/
	rm -rf .coverage
	rm -rf build
	rm -rf dist
	rm -rf htmlcov
	rm -rf venv
	find . -type d -name '__pycache__' | xargs rm -rf
	find . -name "*.pyc" -type f -print0 | xargs -0 /bin/rm -rf

compile:
	. venv/bin/activate; python setup.py build install

console:
	. venv/bin/activate; python

coverage:
	. venv/bin/activate; coverage html

current:
	@echo $(VERSION)

deps:
	. venv/bin/activate; python -m pip install --upgrade -qr requirements.txt

install: clean venv deps
	. venv/bin/activate; pip install --use-pep517 --progress-bar emoji

inspectortiger: pydeps
	. venv/bin/activate; inspectortiger src/pam/

lint: pydeps
	. venv/bin/activate; python -m flake8 src/pam/ --max-line-length=120

preflight: bandit test

pydeps:
	. venv/bin/activate; \
	  pip install --upgrade -q pip && \
	  pip install --upgrade -q pip build

test: tox

tox:
	rm -fr .tox
	. venv/bin/activate; tox

venv:
	$(VIRTUALENV) -p $(PYTHONEXEC) venv

=== requirements.txt ===
six
toml

## python-pampy 0.1.4

=== debian/changelog ===
python-pampy (0.1.4-1) unstable; urgency=low

  * Initial release. (Closes: #694666)

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Nov 2012 22:52:46 +0100

=== debian/control ===
Source: python-pampy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends:
 cdbs (>= 0.4.90~),
 debhelper (>= 9),
 python (>= 2.6.6-3~),
 python-setuptools,
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/pam
X-Python-Version: >= 2.4

Package: python-pampy
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python module for simple PAM authentications
 Provide an authenticate() function that will allow the caller to
 authenticate a user against the Pluggable Authentication Modules
 (PAM) on the system.
 .
 The module pam.py is a single file, implemented using ctypes, so
 no compilation is necessary.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pam/pam-(.*).tar.gz

## python-pampy 1.8.2

=== debian/changelog ===
python-pampy (1.8.2-1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream release. (Closes: #785447).
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
    + Add Python3 packaging support. New bin:package
      python3-pampy.
    + Use my debian.org mail address in Uploaders: field.
  * debian/copyright:
    + Update Upstream-Contact: field.
    + Use Expat instead of MIT as license name.
    + Update copyright holders, copyright years.
  * debian/rules:
    + Add get-orig-source rule.
  * debian/watch:
    + Obtain new watch file from pypi.debian.net.
    + Add PGP/GnuPG signature support.
  * debian/python{,3}-pampy.install:
    + Install Python2/3 modules into separate packages.

  [ Jakub Wilk ]
  * Add Vcs-* fields.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 09 Jun 2015 00:26:59 +0200

=== debian/control ===
Source: python-pampy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 cdbs (>= 0.4.90~),
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python3-all,
 python3-setuptools,
 dh-python,
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/pam
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pampy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pampy/trunk/

Package: python-pampy
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Python module for simple PAM authentications (Python 2)
 Provide an authenticate() function that will allow the caller to
 authenticate a user against the Pluggable Authentication Modules
 (PAM) on the system.
 .
 The module pam.py is a single file, implemented using ctypes, so
 no compilation is necessary. This package provides the pam.py
 module for Python 2.

Package: python3-pampy
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Python module for simple PAM authentications (Python 3)
 Provide an authenticate() function that will allow the caller to
 authenticate a user against the Pluggable Authentication Modules
 (PAM) on the system.
 .
 The module pam.py is a single file, implemented using ctypes, so
 no compilation is necessary. This package provides the pam.py
 module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/python-pam/python-pam-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pampy 1.8.4

=== debian/changelog ===
python-pampy (1.8.4-2) unstable; urgency=medium

  * Team upload.
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Use pybuild for building package.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * d/rules: Remove get-orig-source target.

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 15:21:56 +0200

python-pampy (1.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jun 2018 21:51:47 +0200

python-pampy (1.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Mike Gabriel ]
  * New upstream release (non-signed upstream tarball for this release).
  * debian/control: Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/{control,compat}: Bump DH version compat level to 10.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Jun 2018 13:48:48 +0200

python-pampy (1.8.2-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Fix typo in D (python3-pampy): Change ${python:Depends} to
      ${python3:Depends}. Spotted by Adrian Bunk. (Closes: #867447).
    + Bump Standards-Version: to 3.9.8. No changes needed.

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Jul 2017 21:44:12 +0200

=== debian/control ===
Source: python-pampy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 python3-all,
 python3-setuptools,
 dh-python,
Standards-Version: 4.4.0
Homepage: https://pypi.python.org/pypi/pam
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pampy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pampy

Package: python3-pampy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python module for simple PAM authentications (Python 3)
 Provide an authenticate() function that will allow the caller to
 authenticate a user against the Pluggable Authentication Modules
 (PAM) on the system.
 .
 The module pam.py is a single file, implemented using ctypes, so
 no compilation is necessary. This package provides the pam.py
 module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pampy

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-pam/python-pam-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pampy 2.0.2

=== debian/changelog ===
python-pampy (2.0.2-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * debian/control: Also remove the python3-six build-dependency.

  [ Mike Gabriel ]
  * debian/patches: Remove from package. Stray file.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Feb 2025 19:35:10 +0100

python-pampy (2.0.2-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Add a patch to remove use of python3-six.
    Thanks to Alexandre Detiste (Closes: #1098415).
  * Add d/gbp.conf
  * Add d/salsa-ci.yml
  * d/control: add use of autopkgtest-pkg-pybuild

  [ Mike Gabriel ]
  * debian/patches:
    + Forward remove-use-of-python3-six.patch upstream.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Feb 2025 12:49:00 +0100

python-pampy (2.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/watch:
    + Disable PGP signature support. No such signature upstream, it seems.
    + Switch to format version 4.
    + Directly obtain orig tarball from Github.
  * debian/control:
    + Add to B-D: python3-six, pybuild-plugin-pyproject and python3-pytest.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{compat,control}:
    + Bump to DH compat level version 13.
  * debian/{control,copyright}:
    + Use upstream Git as Homepage: and Source: field values.
  * debian/copyright:
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/upstream/:
    + Drop signing-key.asc. No upstream PGP signatures available for orig
      tarball download.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Apr 2022 17:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: python-pampy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
- dh-python,
-Standards-Version: 4.4.0
-Homepage: https://pypi.python.org/pypi/pam
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pampy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pampy
+ python3-pytest,
+ pybuild-plugin-pyproject,
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://github.com/FirefighterBlu3/python-pam
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pampy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pampy
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pampy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pampy

%:
	dh $@ --buildsystem=pybuild
